com.trendmicro.ds.appcontrol.rest.object

## Class CreateRulesetRequest

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.CreateRulesetRequest

-     public class CreateRulesetRequest
      extends java.lang.Object

  Request object for the CreateRuleset API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateRulesetRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getInventoryId()` The inventory ID of the inventory to base the new ruleset on.
    `Ruleset` | `getRuleset()` The ruleset details.
    `void` | `setInventoryId(java.lang.Long inventoryId)` Set the inventory ID for the inventory to base the new ruleset on.
    `void` | `setRuleset(Ruleset ruleset)` Set the ruleset details.
    `CreateRulesetRequest` | `withInventoryId(java.lang.Long inventoryId)` Set the inventory ID for the inventory to base the new ruleset on.
    `CreateRulesetRequest` | `withRuleset(Ruleset ruleset)` Set the ruleset details.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateRulesetRequest

          public CreateRulesetRequest()

  - ### Method Detail

    - #### getRuleset

          public Ruleset getRuleset()

      The ruleset details.

      Optional. One of `ruleset` or `inventoryId` must be specified.

      Returns:
        the ruleset details.

    - #### setRuleset

          public void setRuleset(Ruleset ruleset)

      Set the ruleset details.
      Parameters:
        `ruleset` - the ruleset details.

    - #### withRuleset

          public CreateRulesetRequest withRuleset(Ruleset ruleset)

      Set the ruleset details.
      Parameters:
        `ruleset` - the ruleset details.
      Returns:
        the updated CreateRulesetRequest object.

    - #### getInventoryId

          public java.lang.Long getInventoryId()

      The inventory ID of the inventory to base the new ruleset on.

      Optional. One of `ruleset` or `inventoryId` must be specified. If an inventory is specified, all items in the inventory will be added to the ruleset with `action=ALLOW`.

      Returns:
        the inventory ID for the inventory to base the new ruleset on.

    - #### setInventoryId

          public void setInventoryId(java.lang.Long inventoryId)

      Set the inventory ID for the inventory to base the new ruleset on.
      Parameters:
        `inventoryId` - the inventory ID for the inventory to base the new ruleset on.

    - #### withInventoryId

          public CreateRulesetRequest withInventoryId(java.lang.Long inventoryId)

      Set the inventory ID for the inventory to base the new ruleset on.
      Parameters:
        `inventoryId` - the inventory ID for the inventory to base the new ruleset on.
      Returns:
        the updated CreateRulesetRequest object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.